Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/batching.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/skeleton/students/batching.py	(revision 14034)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/batching.py	(revision 14035)
@@ -24,5 +24,5 @@
 students, studycourses, payment tickets and accommodation tickets.
 """
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.coewarri.students.interfaces import (
     ICustomStudent, ICustomStudentUpdateByRegNo,
     ICustomStudentUpdateByMatricNo,
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/browser.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/skeleton/students/browser.py	(revision 14034)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/browser.py	(revision 14035)
@@ -41,7 +41,7 @@
     )
 
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.coewarri.students.interfaces import (
     ICustomStudentOnlinePayment, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel)
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.coewarri.interfaces import MessageFactory as _
 
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/export.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/skeleton/students/export.py	(revision 14034)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/export.py	(revision 14035)
@@ -18,5 +18,5 @@
 """Exporters for student related stuff.
 """
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.coewarri.students.interfaces import (
     ICustomStudent,
     ICustomStudentStudyCourse,
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/interfaces.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/skeleton/students/interfaces.py	(revision 14034)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/interfaces.py	(revision 14035)
@@ -25,6 +25,6 @@
     INigeriaStudentUpdateByRegNo, INigeriaStudentUpdateByMatricNo,
     )
-from kofacustom.skeleton.payments.interfaces import ICustomOnlinePayment
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.coewarri.payments.interfaces import ICustomOnlinePayment
+from kofacustom.coewarri.interfaces import MessageFactory as _
 
 class ICustomStudentBase(INigeriaStudentBase):
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/payments.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/skeleton/students/payments.py	(revision 14034)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/payments.py	(revision 14035)
@@ -26,5 +26,5 @@
 from kofacustom.nigeria.students.payments import (
     NigeriaStudentOnlinePayment, NigeriaStudentOnlinePaymentFactory)
-from kofacustom.skeleton.students.interfaces import ICustomStudentOnlinePayment
+from kofacustom.coewarri.students.interfaces import ICustomStudentOnlinePayment
 
 class CustomStudentOnlinePayment(NigeriaStudentOnlinePayment):
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/student.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/skeleton/students/student.py	(revision 14034)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/student.py	(revision 14035)
@@ -26,5 +26,5 @@
 from waeup.kofa.utils.helpers import get_current_principal
 from kofacustom.nigeria.students.student import NigeriaStudent
-from kofacustom.skeleton.students.interfaces import ICustomStudent
+from kofacustom.coewarri.students.interfaces import ICustomStudent
 
 
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/studycourse.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/skeleton/students/studycourse.py	(revision 14034)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/studycourse.py	(revision 14035)
@@ -27,5 +27,5 @@
 from waeup.kofa.students.workflow import CLEARED, RETURNING, PAID
 from kofacustom.nigeria.students.studycourse import NigeriaStudentStudyCourse
-from kofacustom.skeleton.students.interfaces import ICustomStudentStudyCourse
+from kofacustom.coewarri.students.interfaces import ICustomStudentStudyCourse
 
 class CustomStudentStudyCourse(NigeriaStudentStudyCourse):
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/studylevel.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/skeleton/students/studylevel.py	(revision 14034)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/studylevel.py	(revision 14035)
@@ -28,5 +28,5 @@
     CourseTicketFactory, StudentStudyLevelFactory)
 from waeup.kofa.students.interfaces import IStudentNavigation
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.coewarri.students.interfaces import (
     ICustomStudentStudyLevel, ICustomCourseTicket)
 
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_browser.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/skeleton/students/tests/test_browser.py	(revision 14034)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_browser.py	(revision 14035)
@@ -34,5 +34,5 @@
     IExtFileStore, IFileStoreNameChooser)
 from waeup.kofa.students.interfaces import IStudentsUtils
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.coewarri.testing import FunctionalLayer
 
 
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_export.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/skeleton/students/tests/test_export.py	(revision 14034)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_export.py	(revision 14035)
@@ -5,8 +5,8 @@
 from waeup.kofa.schoolgrades import ResultEntry
 from waeup.kofa.students.tests.test_batching import StudentImportExportSetup
-from kofacustom.skeleton.utils.utils import CustomKofaUtils
-from kofacustom.skeleton.students.export import (
+from kofacustom.coewarri.utils.utils import CustomKofaUtils
+from kofacustom.coewarri.students.export import (
     CustomStudentExporter, CustomStudentPaymentExporter)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.coewarri.testing import FunctionalLayer
 
 
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_student.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/skeleton/students/tests/test_student.py	(revision 14034)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_student.py	(revision 14035)
@@ -22,15 +22,15 @@
 from zope.interface import verify
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.students.student import CustomStudent, CustomStudentFactory
-from kofacustom.skeleton.students.studycourse import (
+from kofacustom.coewarri.students.student import CustomStudent, CustomStudentFactory
+from kofacustom.coewarri.students.studycourse import (
     CustomStudentStudyCourse, CustomStudentStudyCourseFactory)
-from kofacustom.skeleton.students.studylevel import (
+from kofacustom.coewarri.students.studylevel import (
     CustomStudentStudyLevel, CustomCourseTicket,
     CustomStudentStudyLevelFactory,
     CustomCourseTicketFactory)
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.coewarri.students.interfaces import (
     ICustomStudent, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel, ICustomCourseTicket)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.coewarri.testing import FunctionalLayer
 
 
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/utils.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/skeleton/students/utils.py	(revision 14034)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/utils.py	(revision 14035)
@@ -21,5 +21,5 @@
     CLEARED, RETURNING, PAID, REGISTERED, VALIDATED)
 from kofacustom.nigeria.students.utils import NigeriaStudentsUtils
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.coewarri.interfaces import MessageFactory as _
 
 class CustomStudentsUtils(NigeriaStudentsUtils):
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/viewlets.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/skeleton/students/viewlets.py	(revision 14034)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/viewlets.py	(revision 14035)
@@ -20,5 +20,5 @@
 from waeup.kofa.interfaces import REQUESTED
 from waeup.kofa.browser.viewlets import ManageActionButton
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.coewarri.students.interfaces import (
     ICustomStudentStudyCourse, ICustomStudentStudyLevel)
 from waeup.kofa.students.fileviewlets import (