Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 14039)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 14040)
@@ -440,5 +440,5 @@
 
 class IApplicantTestData(IKofaObject):
-    """This interface is for demonstration and test purposes only.
+    """This interface is for demonstration and testing only.
     It can be omitted in customized versions of Kofa.
     """
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 14039)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 14040)
@@ -1662,16 +1662,59 @@
         self.browser.getControl(name="confirm_passport").value = True
         self.browser.getControl("Finally Submit").click()
-        self.assertEqual(
-            [u'Sending email from no-reply@waeup.org to linda@forest.de:',
-             u'Message:',
-             u'msg: MIME-Version: 1.0',
-             u'msg: Content-Type: text/plain; charset="us-ascii"',
-             u'msg: Content-Transfer-Encoding: 7bit',
-             u'msg: From: Administrator <no-reply@waeup.org>',
-             u'msg: To: Linda Tree <linda@forest.de>',
-             u'msg: Reply-To: Administrator <contact@waeup.org>',
-             u'msg: Subject: Request for referee report from Sample University',
-             u'msg: ',
-            ], self.get_fake_smtp_output().split('\n')[:10]
+        mandate_id_0 = self.app['mandates'].keys()[0]
+        mandate_id_1 = self.app['mandates'].keys()[1]
+        self.assertMatches(
+            'Sending email from no-reply@waeup.org to linda@forest.de:'
+            '\nMessage:'
+            '\nmsg: MIME-Version: 1.0\nmsg: Content-Type: text/plain; charset="us-ascii"'
+            '\nmsg: Content-Transfer-Encoding: 7bit'
+            '\nmsg: From: Administrator <no-reply@waeup.org>'
+            '\nmsg: To: Linda Tree <linda@forest.de>'
+            '\nmsg: Reply-To: Administrator <contact@waeup.org>'
+            '\nmsg: Subject: Request for referee report from Sample University'
+            '\nmsg: '
+            '\nmsg: Dear Linda Tree,'
+            '\nmsg: '
+            '\nmsg: The candidate with Id app2014_372052 and name John Anthony Tester applied to'
+            '\nmsg: the Sample University to study Unnamed Certificate for the 2014/2015 session.'
+            '\nmsg: The candidate has listed you as referee. You are thus required to kindly use'
+            '\nmsg: the link below to provide your referral remarks on or before'
+            '\nmsg: 2016-08-12 08:32:41.619671+00:00.'
+            '\nmsg: '
+            '\nmsg: Report link: http://localhost/app/mandate?mandate_id=%s'
+            '\nmsg: '
+            '\nmsg: Thank You'
+            '\nmsg: '
+            '\nmsg: The Secretary'
+            '\nmsg: Post Graduate School'
+            '\nmsg: Sample University'
+            '\nmsg: '
+            '\nSending email from no-reply@waeup.org to otis@stones.de:'
+            '\nMessage:'
+            '\nmsg: MIME-Version: 1.0'
+            '\nmsg: Content-Type: text/plain; charset="us-ascii"'
+            '\nmsg: Content-Transfer-Encoding: 7bit'
+            '\nmsg: From: Administrator <no-reply@waeup.org>'
+            '\nmsg: To: Otis Stone <otis@stones.de>'
+            '\nmsg: Reply-To: Administrator <contact@waeup.org>'
+            '\nmsg: Subject: Request for referee report from Sample University'
+            '\nmsg: '
+            '\nmsg: Dear Otis Stone,'
+            '\nmsg: '
+            '\nmsg: The candidate with Id app2014_<6-DIGITS> and name John Anthony Tester applied to'
+            '\nmsg: the Sample University to study Unnamed Certificate for the 2014/2015 session.'
+            '\nmsg: The candidate has listed you as referee. You are thus required to kindly use'
+            '\nmsg: the link below to provide your referral remarks on or before'
+            '\nmsg: <YYYY-MM-DD hh:mm:ss>.<6-DIGITS>+00:00.'
+            '\nmsg: '
+            '\nmsg: Report link: http://localhost/app/mandate?mandate_id=%s'
+            '\nmsg: '
+            '\nmsg: Thank You'
+            '\nmsg: '
+            '\nmsg: The Secretary'
+            '\nmsg: Post Graduate School'
+            '\nmsg: Sample University'
+            '\nmsg: ' % (mandate_id_0, mandate_id_1),
+            self.get_fake_smtp_output()
             )
         self.assertTrue(
Index: main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 14039)
+++ main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 14040)
@@ -291,5 +291,7 @@
         required = True,
         constraint=validate_email,
-        description = _(u'Email Address'),
+        description = _(
+            u'Email Address (referees will be automatically invited by email '
+             'after final submission of this form)'),
         )
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 14039)
+++ main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 14040)
@@ -324,7 +324,17 @@
         text = _(u"""Dear ${a},
 
-${c}
-
-Regards
+The candidate with Id ${b} and name ${c} applied to
+the ${d} to study ${e} for the ${f} session.
+The candidate has listed you as referee. You are thus required to kindly use
+the link below to provide your referral remarks on or before
+${g}.
+
+${h}
+
+Thank You
+
+The Secretary
+Post Graduate School
+${d}
 """)
         from_name = config.name_admin
@@ -332,7 +342,16 @@
         rcpt_name = referee.name
         rcpt_addr = referee.email
+        session = '%s/%s' % (
+            applicant.__parent__.year, applicant.__parent__.year+1)
         text = _(text, mapping={
             'a': rcpt_name,
-            'c': url_info})
+            'b': applicant.applicant_id,
+            'c': applicant.display_fullname,
+            'd': config.name,
+            'e': applicant.course1.title,
+            'f': session,
+            'g': applicant.__parent__.enddate,
+            'h': url_info,
+            })
 
         body = translate(text, 'waeup.kofa',