Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py	(revision 14059)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py	(revision 14060)
@@ -101,9 +101,13 @@
             for field in PRE_OMIT_DISPLAY_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif self.target is not None and self.target.startswith('cbt'):
+        elif self.target is not None and self.target.startswith('cbt'): #uniben
             form_fields = grok.AutoFields(INigeriaUGApplicant)
             for field in CBT_OMIT_DISPLAY_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif self.target is not None and self.target.startswith('af'):
+        elif self.target is not None and self.target.startswith('akj'): # uniben
+            form_fields = grok.AutoFields(INigeriaPGApplicant)
+            for field in PRE_OMIT_DISPLAY_FIELDS:
+                form_fields = form_fields.omit(field)
+        elif self.target is not None and self.target.startswith('ak'): # uniben
             form_fields = grok.AutoFields(INigeriaUGApplicant)
             for field in AFFIL_OMIT_DISPLAY_FIELDS:
@@ -154,11 +158,15 @@
             for field in PRE_OMIT_PDF_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif self.target is not None and self.target.startswith('cbt'):
+        elif self.target is not None and self.target.startswith('cbt'): # uniben
             form_fields = grok.AutoFields(INigeriaUGApplicant)
             for field in CBT_OMIT_PDF_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif self.target is not None and self.target.startswith('af'):
+        elif self.target is not None and self.target.startswith('ak'): # uniben
             form_fields = grok.AutoFields(INigeriaUGApplicant)
             for field in AFFIL_OMIT_PDF_FIELDS:
+                form_fields = form_fields.omit(field)
+        elif self.target is not None and self.target.startswith('akj'): # uniben
+            form_fields = grok.AutoFields(INigeriaPGApplicant)
+            for field in PRE_OMIT_PDF_FIELDS:
                 form_fields = form_fields.omit(field)
         elif self.target is not None and self.target.startswith('ase'): # was putme
@@ -206,9 +214,13 @@
             for field in PRE_OMIT_MANAGE_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif self.target is not None and self.target.startswith('cbt'):
+        elif self.target is not None and self.target.startswith('cbt'): # uniben
             form_fields = grok.AutoFields(INigeriaUGApplicant)
             for field in CBT_OMIT_MANAGE_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif self.target is not None and self.target.startswith('af'):
+        elif self.target is not None and self.target.startswith('akj'): # uniben
+            form_fields = grok.AutoFields(INigeriaPGApplicant)
+            for field in PRE_OMIT_MANAGE_FIELDS:
+                form_fields = form_fields.omit(field)
+        elif self.target is not None and self.target.startswith('ak'): # uniben
             form_fields = grok.AutoFields(INigeriaUGApplicant)
             for field in AFFIL_OMIT_MANAGE_FIELDS:
@@ -244,9 +256,13 @@
             for field in PRE_OMIT_EDIT_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif self.target is not None and self.target.startswith('cbt'):
+        elif self.target is not None and self.target.startswith('cbt'): # uniben
             form_fields = grok.AutoFields(INigeriaUGApplicantEdit)
             for field in CBT_OMIT_EDIT_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif self.target is not None and self.target.startswith('af'):
+        elif self.target is not None and self.target.startswith('akj'): # uniben
+            form_fields = grok.AutoFields(INigeriaPGApplicant)
+            for field in PRE_OMIT_EDIT_FIELDS:
+                form_fields = form_fields.omit(field)
+        elif self.target is not None and self.target.startswith('ak'): # uniben
             form_fields = grok.AutoFields(INigeriaUGApplicantEdit)
             for field in AFFIL_OMIT_EDIT_FIELDS: