Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 14065)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 14066)
@@ -253,6 +253,12 @@
             xmldict['institution_acct'] = '0106259811'
             xmldict['institution_bank_id'] = '10'
-        elif self.applicant.applicant_id.startswith('prejambites') or \
-            self.applicant.applicant_id.startswith('putme'):
+        elif self.applicant.applicant_id.startswith('prejambites'):
+            xmldict['institution_acct'] = '0106259811'
+            xmldict['institution_bank_id'] = '10'
+            self.pay_item_id = '104'
+            provider_amt = 262.5
+            dalash_amt = 0.0
+            gateway_amt = 37.5
+        elif self.applicant.applicant_id.startswith('putme'):
             xmldict['institution_acct'] = '0106259811'
             xmldict['institution_bank_id'] = '10'
@@ -261,4 +267,7 @@
             xmldict['institution_acct'] = '0106259811'
             xmldict['institution_bank_id'] = '10'
+            provider_amt = 262.5
+            dalash_amt = 0.0
+            gateway_amt = 37.5
         elif self.applicant.applicant_id.startswith('special'):
             if self.context.p_category in SPECIAL_PAYMENT_PARAMS.keys():
@@ -300,4 +309,12 @@
 </payment_item_detail>""" % xmldict
 
+        if self.applicant.applicant_id.startswith('pre'):
+            xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s">
+<item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
+<item_detail item_id="2" item_name="%(provider_item_name)s" item_amt="%(provider_amt)d" bank_id="%(provider_bank_id)s" acct_num="%(provider_acct)s" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
         self.xml_data = """<input type="hidden" name="xml_data" value='%s'  />""" % xmltext
         self.context.provider_amt = provider_amt
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 14065)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 14066)
@@ -571,5 +571,5 @@
             in self.browser.contents)
 
-        # prehndft fee goes to another account
+        # prehndft fee goes to another account and has other split data
         self.applicant.applicant_id = u'prehnd_anything'
         self.browser.open(self.manage_path)
@@ -580,17 +580,10 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="Application" '
-            'item_amt="253300" bank_id="10" acct_num="0106259811" />'
-            in self.browser.contents)
-        # No 'commission', no provider fee in 2013
-        #self.assertFalse('Dalash' in self.browser.contents)
-        #self.assertFalse('BT Education' in self.browser.contents)
-        # Comission is charged from 14/09/2014
-        self.assertTrue(
-            '<item_detail item_id="2" item_name="Dalash" item_amt="20000" '
-            'bank_id="117" acct_num="1013196791" />'
-            in self.browser.contents)
-        self.assertTrue(
-            '<item_detail item_id="3" item_name="BT Education" '
-            'item_amt="30000" bank_id="117" acct_num="1010764827" />'
+            'item_amt="303300" bank_id="10" acct_num="0106259811" />'
+            in self.browser.contents)
+        self.assertFalse('Dalash' in self.browser.contents)
+        self.assertTrue(
+            '<item_detail item_id="2" item_name="BT Education" '
+            'item_amt="26250" bank_id="117" acct_num="1010764827" />'
             in self.browser.contents)
 
@@ -604,17 +597,10 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="Application" '
-            'item_amt="253300" bank_id="10" acct_num="0106259811" />'
-            in self.browser.contents)
-        # No 'commission', no provider fee in 2013
-        #self.assertFalse('Dalash' in self.browser.contents)
-        #self.assertFalse('BT Education' in self.browser.contents)
-        # Comission is charged from 14/09/2014
-        self.assertTrue(
-            '<item_detail item_id="2" item_name="Dalash" item_amt="20000" '
-            'bank_id="117" acct_num="1013196791" />'
-            in self.browser.contents)
-        self.assertTrue(
-            '<item_detail item_id="3" item_name="BT Education" '
-            'item_amt="30000" bank_id="117" acct_num="1010764827" />'
+            'item_amt="303300" bank_id="10" acct_num="0106259811" />'
+            in self.browser.contents)
+        self.assertFalse('Dalash' in self.browser.contents)
+        self.assertTrue(
+            '<item_detail item_id="2" item_name="BT Education" '
+            'item_amt="26250" bank_id="117" acct_num="1010764827" />'
             in self.browser.contents)
         self.assertTrue(