Index: /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/interfaces.py
===================================================================
--- /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/interfaces.py	(revision 14066)
+++ /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/interfaces.py	(revision 14067)
@@ -60,6 +60,7 @@
     """
     def getValues(self):
-        sorted_items = sorted(SCHOOLS.items(),
-                              key=lambda element: element[0])
+        sorted_items = sorted(
+            SCHOOLS.items(),
+            key=lambda element: element[1][0] + element[1][1] +element[1][2])
         return [item[0] for item in sorted_items]
 
Index: /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools.py
===================================================================
--- /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools.py	(revision 14066)
+++ /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools.py	(revision 14067)
@@ -1,105 +1,105 @@
 SCHOOLS = {
-    's0010': ('Zone 1','Otite, Ogaminana, Obangede','Adavi Local Govt. Science Secondary School, Nagazi, Eba'),
-    's0020': ('Zone 1','Otite, Ogaminana, Obangede','Al-Fathu Group Of School, Oziokutu, Off Adavi LGA Secretariat'),
-    's0030': ('Zone 1','Otite, Ogaminana, Obangede','Al-Jamal Model Nur/Pry School, Eika-Adagu New Layout'),
-    's0040': ('Zone 1','Otite, Ogaminana, Obangede','Amazing Grace N/Pry Schl Nagazi'),
-    's0050': ('Zone 1','Otite, Ogaminana, Obangede','Anointed Montessori School (Secondary Section),'),
-    's0060': ('Zone 1','Otite, Ogaminana, Obangede','Anointed Montessori Schools (Nur/Pry), Section'),
-    's0070': ('Zone 1','Otite, Ogaminana, Obangede','Bahad International Nursery/Primary School, Nagazi, Uvete'),
-    's0080': ('Zone 1','Otite, Ogaminana, Obangede','Baptist Model Nur/Pry School, Abobo'),
-    's0090': ('Zone 1','Otite, Ogaminana, Obangede','Best Brain School Nur/Pry And College, Nagazi-Eba Ogaminana'),
-    's0100': ('Zone 1','Otite, Ogaminana, Obangede','Cedio International Academy Nagazi-Eba'),
-    's0110': ('Zone 1','Otite, Ogaminana, Obangede','Champion Group Of Schools (Pry Section),, Eika Adagu'),
-    's0120': ('Zone 1','Otite, Ogaminana, Obangede','Champion Group Of Schools (Secondary Section),'),
-    's0130': ('Zone 1','Otite, Ogaminana, Obangede','Christ The Redeemer Nursery And Primary School Otite'),
-    's0140': ('Zone 1','Otite, Ogaminana, Obangede','Community Secondary School, Obangede'),
-    's0150': ('Zone 1','Otite, Ogaminana, Obangede','Divine Academy Secondary School, Itakpe'),
-    's0160': ('Zone 1','Otite, Ogaminana, Obangede','Ebira Community Secondary School, Ogaminana'),
-    's0170': ('Zone 1','Otite, Ogaminana, Obangede','Ecoms International School, Nagazi-Uvete'),
-    's0180': ('Zone 1','Otite, Ogaminana, Obangede','FCE Demonstration School'),
-    's0190': ('Zone 1','Otite, Ogaminana, Obangede','FCE Staff Nur And Primary School'),
-    's0200': ('Zone 1','Otite, Ogaminana, Obangede','Gifted Academy, Nagazi Eba'),
-    's0210': ('Zone 1','Otite, Ogaminana, Obangede','Government Science Secondary School, Ogaminana '),
-    's0220': ('Zone 1','Otite, Ogaminana, Obangede','Govt Day Secondary School, Okunchi, Ogaminana'),
-    's0230': ('Zone 1','Otite, Ogaminana, Obangede','Higher Ground Nursery/Pry School, Nagazi'),
-    's0240': ('Zone 1','Otite, Ogaminana, Obangede','Hilltop Group Of School, Eika, Adagu'),
-    's0250': ('Zone 1','Otite, Ogaminana, Obangede','Lgea Eika Adagu'),
-    's0260': ('Zone 1','Otite, Ogaminana, Obangede','Lgea Primary School Itakpe'),
-    's0270': ('Zone 1','Otite, Ogaminana, Obangede','Mica Comprehensive College, Idatochi'),
-    's0280': ('Zone 1','Otite, Ogaminana, Obangede','Niomp Staff Primary School, Itakpe'),
-    's0290': ('Zone 1','Otite, Ogaminana, Obangede','Niomp Staff Secondary School, Itakpe'),
-    's0300': ('Zone 1','Otite, Ogaminana, Obangede','Precious Memory Nursery/Primary School Nagazi Uvete'),
-    's0310': ('Zone 1','Otite, Ogaminana, Obangede','Premier Inter College New Zango, Ogaminana'),
-    's0320': ('Zone 1','Otite, Ogaminana, Obangede','Prince Of Peace Academy Ogaminana, After New Zango Oziokutu '),
-    's0330': ('Zone 1','Otite, Ogaminana, Obangede','Samana Group Of Schools, Nur/Pry Ogaminana'),
-    's0340': ('Zone 1','Otite, Ogaminana, Obangede','Samana Unity College, Ogaminana L.G.A. Nur/Pry Section'),
-    's0350': ('Zone 1','Otite, Ogaminana, Obangede','Samana Unity Collge, Ogaminana LGA Secondary Section'),
-    's0360': ('Zone 1','Otite, Ogaminana, Obangede','Samana Unity Group Of Schools, Obangede Road Behind Raji '),
-    's0370': ('Zone 1','Otite, Ogaminana, Obangede','Sefiyat Sunshine N/Pry'),
-    's0380': ('Zone 1','Otite, Ogaminana, Obangede','Success College Ozuri'),
-    's0390': ('Zone 1','Otite, Ogaminana, Obangede','Triumph Academy, Nagazi-Uvete Along Nagazi-Eba Road'),
-    's0400': ('Zone 1','Otite, Ogaminana, Obangede','Unity Academic Otite (Primary School Section),'),
-    's0410': ('Zone 1','Otite, Ogaminana, Obangede','Unity Academy, Otite (Secondary Section), '),
-    's0420': ('Zone 1','Otite, Ogaminana, Obangede','Universal Basic Education Junior Secondary School, Eika Adagu'),
-    's0430': ('Zone 1','Otite, Ogaminana, Obangede','Uplight Comprehensive College, Behind Gsss Nagazi'),
-    's0440': ('Zone 1','Otite, Ogaminana, Obangede','Williesth International Group Of Schools, Nry/Pry Abobo'),
-    's0450': ('Zone 1','Otite, Ogaminana, Obangede','Winners Nursery/Pry School, Otite'),
-    's0460': ('Zone 2','Okene Metropolis','Abdulazeez Attah Memorial College (Aaamco),'),
-    's0470': ('Zone 2','Okene Metropolis','Demonstration Standard College, Onyukoko- Okene'),
-    's0480': ('Zone 2','Okene Metropolis','Soladard Nursery/Primary School, G.R.A., Okene'),
-    's0490': ('Zone 3','Kuroko-Inoziomi-Gra','Climax Group Of School, Inoziomi'),
-    's0500': ('Zone 3','Kuroko-Inoziomi-Gra','Government Day Secondary School, Inoziomi'),
-    's0510': ('Zone 3','Kuroko-Inoziomi-Gra','Mirror Science & Tecnnical Academy, Kuroku Idakatapa'),
-    's0520': ('Zone 4','Okengwe Ihima','Adavi Community Secondary School, Adavi-Eba'),
-    's0530': ('Zone 4','Okengwe Ihima','Ebira Muslim Community College, Okengwe'),
-    's0540': ('Zone 4','Okengwe Ihima','Government Day Secondary School, Ohueta-Ihima'),
-    's0550': ('Zone 4','Okengwe Ihima','Leadership Academy Centre, Oro New-Layout'),
-    's0560': ('Zone 4','Okengwe Ihima','New Day Nur/Pry Sch., Ogere Close, Gra Road, Agassa Okene'),
-    's0570': ('Zone 4','Okengwe Ihima','Okehi Community Secondary School, Oboroke-Ihima'),
-    's0580': ('Zone 4','Okengwe Ihima','Okehi Community Secondary School, Uboro'),
-    's0590': ('Zone 5','Adogo Ajaokuta','Community Secondary School Geregu'),
-    's0600': ('Zone 5','Adogo Ajaokuta','Government Science Secondary School, Adogo'),
-    's0610': ('Zone 6','Magongo/Ibillo','Anglican Nursery/Primary School, (St. Peter\'s0), Ogori'),
-    's0620': ('Zone 6','Magongo/Ibillo','Community Secondary School Magongo'),
-    's0630': ('Zone 6','Magongo/Ibillo','Ekpe Mixed Grammar School, Ekpe Akoko Edo'),
-    's0640': ('Zone 6','Magongo/Ibillo','Enwan Mixed Secondary School Enwan, Akoko Edo'),
-    's0650': ('Zone 6','Magongo/Ibillo','Government Science Secondary School, Ogori Mangogo'),
-    's0660': ('Zone 6','Magongo/Ibillo','Ibilokha Secondary School, Ibillo, Akoko Edo'),
-    's0670': ('Zone 6','Magongo/Ibillo','Ojirami Senior Secondary School, Ojirami, Akoko-Edo'),
-    's0675': ('Zone 7','Kabba Aiyetoro Gbedde','Blessed Hope Nursery And Primary School, Kabba'),
-    's0680': ('Zone 7','Kabba Aiyetoro Gbedde','Community High School Aiyetoro Gbede'),
-    's0690': ('Zone 7','Kabba Aiyetoro Gbedde','Divine Intervention Academy, Aiyetoro Gbedde, Ijumu'),
-    's0700': ('Zone 7','Kabba Aiyetoro Gbedde','Kings And Queens Model Academy, Kabba'),
-    's0710': ('Zone 7','Kabba Aiyetoro Gbedde','Local Government Secondary School, Kabba'),
-    's0720': ('Zone 7','Kabba Aiyetoro Gbedde','Muslim Community Secondary School, Aiyetoro Gbede'),
-    's0730': ('Zone 7','Kabba Aiyetoro Gbedde','St. Barnabas Secondary School, Kabba'),
-    's0740': ('Zone 7','Kabba Aiyetoro Gbedde','St. Joseph Ube Secondary School, Kabba '),
-    's0750': ('Zone 7','Kabba Aiyetoro Gbedde','St. Mary Nursery/Primary School, Kabba'),
-    's0760': ('Zone 7','Kabba Aiyetoro Gbedde','St. Monica College, Kabba'),
-    's0770': ('Zone 8','Ikare','African Church (Senior), Grammar Sch. Oka,  Akoko Ondo State'),
-    's0780': ('Zone 8','Ikare','Agbogbo Grammar School, Supare, Akoko'),
-    's0790': ('Zone 8','Ikare','Agboriki Comprehensive High School, Ikare'),
-    's0800': ('Zone 8','Ikare','Aud Grammar School, Ikare, Akoko'),
-    's0810': ('Zone 8','Ikare','Aud Pry School Iv, Ekan Ikare-Akoko '),
-    's0820': ('Zone 8','Ikare','Brighter Future Nursery/Pry School, Isua'),
-    's0830': ('Zone 8','Ikare','Comprehensive High School, Iwaro, Oka, Akoko'),
-    's0840': ('Zone 8','Ikare','Dynamic Group Of Schools, Nur/Pry Ipe-Akoko, Ondo State'),
-    's0850': ('Zone 8','Ikare','Good News International Nur/Pry School, Ugbe, Akoko'),
-    's0860': ('Zone 8','Ikare','Holy Trinity Primary School, Akungba, Akoko'),
-    's0870': ('Zone 8','Ikare','Ifejola Internation College, Arigidi, Akoko'),
-    's0880': ('Zone 8','Ikare','Ipe High School, Ipe, Akoko'),
-    's0890': ('Zone 8','Ikare','Isua High School, Isua, Akoko'),
-    's0900': ('Zone 8','Ikare','Jolad Nur/Pry, High School, Agbaluku, Arigidi, Akoko'),
-    's0910': ('Zone 8','Ikare','Obaahoho Comprehensive High School, Epinmi'),
-    's0920': ('Zone 8','Ikare','Oroke High School, Akungba-Akoko'),
-    's0930': ('Zone 8','Ikare','Otolomi High School, Ikaram-Akoko Ondo State'),
-    's0940': ('Zone 8','Ikare','Prince Of Peace Academy, Ugbe- Akoko Ondo State'),
-    's0950': ('Zone 8','Ikare','St. Patrick\'s0 College, Iwaro, Oka-Akoko'),
-    's0960': ('Zone 8','Ikare','St. Paul Anglican Pry School, Iyoke-Ikaram, Akoko, Ondo-State'),
-    's0970': ('Zone 8','Ikare','Unity Secondary School, Epinmi, Akoko'),
-    's0980': ('Zone 8','Ikare','Victory College, Ikare'),
-    's0990': ('Zone 9','Mopa Isanlu','African Church Secondary School, Isanlu'),
-    's1000': ('Zone 9','Mopa Isanlu','Isanlu High School Ijowa Isanlu'),
-    's1010': ('Zone 9','Mopa Isanlu','St. Joseph (R.C.M.), Lgea School Isanlu'),
+    's0010': ('Zone 01','Otite, Ogaminana, Obangede','Adavi Local Govt. Science Secondary School, Nagazi, Eba'),
+    's0020': ('Zone 01','Otite, Ogaminana, Obangede','Al-Fathu Group Of School, Oziokutu, Off Adavi LGA Secretariat'),
+    's0030': ('Zone 01','Otite, Ogaminana, Obangede','Al-Jamal Model Nur/Pry School, Eika-Adagu New Layout'),
+    's0040': ('Zone 01','Otite, Ogaminana, Obangede','Amazing Grace N/Pry Schl Nagazi'),
+    's0050': ('Zone 01','Otite, Ogaminana, Obangede','Anointed Montessori School (Secondary Section),'),
+    's0060': ('Zone 01','Otite, Ogaminana, Obangede','Anointed Montessori Schools (Nur/Pry), Section'),
+    's0070': ('Zone 01','Otite, Ogaminana, Obangede','Bahad International Nursery/Primary School, Nagazi, Uvete'),
+    's0080': ('Zone 01','Otite, Ogaminana, Obangede','Baptist Model Nur/Pry School, Abobo'),
+    's0090': ('Zone 01','Otite, Ogaminana, Obangede','Best Brain School Nur/Pry And College, Nagazi-Eba Ogaminana'),
+    's0100': ('Zone 01','Otite, Ogaminana, Obangede','Cedio International Academy Nagazi-Eba'),
+    's0110': ('Zone 01','Otite, Ogaminana, Obangede','Champion Group Of Schools (Pry Section),, Eika Adagu'),
+    's0120': ('Zone 01','Otite, Ogaminana, Obangede','Champion Group Of Schools (Secondary Section),'),
+    's0130': ('Zone 01','Otite, Ogaminana, Obangede','Christ The Redeemer Nursery And Primary School Otite'),
+    's0140': ('Zone 01','Otite, Ogaminana, Obangede','Community Secondary School, Obangede'),
+    's0150': ('Zone 01','Otite, Ogaminana, Obangede','Divine Academy Secondary School, Itakpe'),
+    's0160': ('Zone 01','Otite, Ogaminana, Obangede','Ebira Community Secondary School, Ogaminana'),
+    's0170': ('Zone 01','Otite, Ogaminana, Obangede','Ecoms International School, Nagazi-Uvete'),
+    's0180': ('Zone 01','Otite, Ogaminana, Obangede','FCE Demonstration School'),
+    's0190': ('Zone 01','Otite, Ogaminana, Obangede','FCE Staff Nur And Primary School'),
+    's0200': ('Zone 01','Otite, Ogaminana, Obangede','Gifted Academy, Nagazi Eba'),
+    's0210': ('Zone 01','Otite, Ogaminana, Obangede','Government Science Secondary School, Ogaminana '),
+    's0220': ('Zone 01','Otite, Ogaminana, Obangede','Govt Day Secondary School, Okunchi, Ogaminana'),
+    's0230': ('Zone 01','Otite, Ogaminana, Obangede','Higher Ground Nursery/Pry School, Nagazi'),
+    's0240': ('Zone 01','Otite, Ogaminana, Obangede','Hilltop Group Of School, Eika, Adagu'),
+    's0250': ('Zone 01','Otite, Ogaminana, Obangede','Lgea Eika Adagu'),
+    's0260': ('Zone 01','Otite, Ogaminana, Obangede','Lgea Primary School Itakpe'),
+    's0270': ('Zone 01','Otite, Ogaminana, Obangede','Mica Comprehensive College, Idatochi'),
+    's0280': ('Zone 01','Otite, Ogaminana, Obangede','Niomp Staff Primary School, Itakpe'),
+    's0290': ('Zone 01','Otite, Ogaminana, Obangede','Niomp Staff Secondary School, Itakpe'),
+    's0300': ('Zone 01','Otite, Ogaminana, Obangede','Precious Memory Nursery/Primary School Nagazi Uvete'),
+    's0310': ('Zone 01','Otite, Ogaminana, Obangede','Premier Inter College New Zango, Ogaminana'),
+    's0320': ('Zone 01','Otite, Ogaminana, Obangede','Prince Of Peace Academy Ogaminana, After New Zango Oziokutu '),
+    's0330': ('Zone 01','Otite, Ogaminana, Obangede','Samana Group Of Schools, Nur/Pry Ogaminana'),
+    's0340': ('Zone 01','Otite, Ogaminana, Obangede','Samana Unity College, Ogaminana L.G.A. Nur/Pry Section'),
+    's0350': ('Zone 01','Otite, Ogaminana, Obangede','Samana Unity Collge, Ogaminana LGA Secondary Section'),
+    's0360': ('Zone 01','Otite, Ogaminana, Obangede','Samana Unity Group Of Schools, Obangede Road Behind Raji '),
+    's0370': ('Zone 01','Otite, Ogaminana, Obangede','Sefiyat Sunshine N/Pry'),
+    's0380': ('Zone 01','Otite, Ogaminana, Obangede','Success College Ozuri'),
+    's0390': ('Zone 01','Otite, Ogaminana, Obangede','Triumph Academy, Nagazi-Uvete Along Nagazi-Eba Road'),
+    's0400': ('Zone 01','Otite, Ogaminana, Obangede','Unity Academic Otite (Primary School Section),'),
+    's0410': ('Zone 01','Otite, Ogaminana, Obangede','Unity Academy, Otite (Secondary Section), '),
+    's0420': ('Zone 01','Otite, Ogaminana, Obangede','Universal Basic Education Junior Secondary School, Eika Adagu'),
+    's0430': ('Zone 01','Otite, Ogaminana, Obangede','Uplight Comprehensive College, Behind Gsss Nagazi'),
+    's0440': ('Zone 01','Otite, Ogaminana, Obangede','Williesth International Group Of Schools, Nry/Pry Abobo'),
+    's0450': ('Zone 01','Otite, Ogaminana, Obangede','Winners Nursery/Pry School, Otite'),
+    's0460': ('Zone 02','Okene Metropolis','Abdulazeez Attah Memorial College (Aaamco),'),
+    's0470': ('Zone 02','Okene Metropolis','Demonstration Standard College, Onyukoko- Okene'),
+    's0480': ('Zone 02','Okene Metropolis','Soladard Nursery/Primary School, G.R.A., Okene'),
+    's0490': ('Zone 03','Kuroko-Inoziomi-GRA','Climax Group Of School, Inoziomi'),
+    's0500': ('Zone 03','Kuroko-Inoziomi-GRA','Government Day Secondary School, Inoziomi'),
+    's0510': ('Zone 03','Kuroko-Inoziomi-GRA','Mirror Science & Tecnnical Academy, Kuroku Idakatapa'),
+    's0520': ('Zone 04','Okengwe Ihima','Adavi Community Secondary School, Adavi-Eba'),
+    's0530': ('Zone 04','Okengwe Ihima','Ebira Muslim Community College, Okengwe'),
+    's0540': ('Zone 04','Okengwe Ihima','Government Day Secondary School, Ohueta-Ihima'),
+    's0550': ('Zone 04','Okengwe Ihima','Leadership Academy Centre, Oro New-Layout'),
+    's0560': ('Zone 04','Okengwe Ihima','New Day Nur/Pry Sch., Ogere Close, Gra Road, Agassa Okene'),
+    's0570': ('Zone 04','Okengwe Ihima','Okehi Community Secondary School, Oboroke-Ihima'),
+    's0580': ('Zone 04','Okengwe Ihima','Okehi Community Secondary School, Uboro'),
+    's0590': ('Zone 05','Adogo Ajaokuta','Community Secondary School Geregu'),
+    's0600': ('Zone 05','Adogo Ajaokuta','Government Science Secondary School, Adogo'),
+    's0610': ('Zone 06','Magongo/Ibillo','Anglican Nursery/Primary School, (St. Peter\'s0), Ogori'),
+    's0620': ('Zone 06','Magongo/Ibillo','Community Secondary School Magongo'),
+    's0630': ('Zone 06','Magongo/Ibillo','Ekpe Mixed Grammar School, Ekpe Akoko Edo'),
+    's0640': ('Zone 06','Magongo/Ibillo','Enwan Mixed Secondary School Enwan, Akoko Edo'),
+    's0650': ('Zone 06','Magongo/Ibillo','Government Science Secondary School, Ogori Mangogo'),
+    's0660': ('Zone 06','Magongo/Ibillo','Ibilokha Secondary School, Ibillo, Akoko Edo'),
+    's0670': ('Zone 06','Magongo/Ibillo','Ojirami Senior Secondary School, Ojirami, Akoko-Edo'),
+    's0675': ('Zone 07','Kabba Aiyetoro Gbedde','Blessed Hope Nursery And Primary School, Kabba'),
+    's0680': ('Zone 07','Kabba Aiyetoro Gbedde','Community High School Aiyetoro Gbede'),
+    's0690': ('Zone 07','Kabba Aiyetoro Gbedde','Divine Intervention Academy, Aiyetoro Gbedde, Ijumu'),
+    's0700': ('Zone 07','Kabba Aiyetoro Gbedde','Kings And Queens Model Academy, Kabba'),
+    's0710': ('Zone 07','Kabba Aiyetoro Gbedde','Local Government Secondary School, Kabba'),
+    's0720': ('Zone 07','Kabba Aiyetoro Gbedde','Muslim Community Secondary School, Aiyetoro Gbede'),
+    's0730': ('Zone 07','Kabba Aiyetoro Gbedde','St. Barnabas Secondary School, Kabba'),
+    's0740': ('Zone 07','Kabba Aiyetoro Gbedde','St. Joseph Ube Secondary School, Kabba '),
+    's0750': ('Zone 07','Kabba Aiyetoro Gbedde','St. Mary Nursery/Primary School, Kabba'),
+    's0760': ('Zone 07','Kabba Aiyetoro Gbedde','St. Monica College, Kabba'),
+    's0770': ('Zone 08','Ikare','African Church (Senior), Grammar Sch. Oka,  Akoko Ondo State'),
+    's0780': ('Zone 08','Ikare','Agbogbo Grammar School, Supare, Akoko'),
+    's0790': ('Zone 08','Ikare','Agboriki Comprehensive High School, Ikare'),
+    's0800': ('Zone 08','Ikare','Aud Grammar School, Ikare, Akoko'),
+    's0810': ('Zone 08','Ikare','Aud Pry School Iv, Ekan Ikare-Akoko '),
+    's0820': ('Zone 08','Ikare','Brighter Future Nursery/Pry School, Isua'),
+    's0830': ('Zone 08','Ikare','Comprehensive High School, Iwaro, Oka, Akoko'),
+    's0840': ('Zone 08','Ikare','Dynamic Group Of Schools, Nur/Pry Ipe-Akoko, Ondo State'),
+    's0850': ('Zone 08','Ikare','Good News International Nur/Pry School, Ugbe, Akoko'),
+    's0860': ('Zone 08','Ikare','Holy Trinity Primary School, Akungba, Akoko'),
+    's0870': ('Zone 08','Ikare','Ifejola Internation College, Arigidi, Akoko'),
+    's0880': ('Zone 08','Ikare','Ipe High School, Ipe, Akoko'),
+    's0890': ('Zone 08','Ikare','Isua High School, Isua, Akoko'),
+    's0900': ('Zone 08','Ikare','Jolad Nur/Pry, High School, Agbaluku, Arigidi, Akoko'),
+    's0910': ('Zone 08','Ikare','Obaahoho Comprehensive High School, Epinmi'),
+    's0920': ('Zone 08','Ikare','Oroke High School, Akungba-Akoko'),
+    's0930': ('Zone 08','Ikare','Otolomi High School, Ikaram-Akoko Ondo State'),
+    's0940': ('Zone 08','Ikare','Prince Of Peace Academy, Ugbe- Akoko Ondo State'),
+    's0950': ('Zone 08','Ikare','St. Patrick\'s0 College, Iwaro, Oka-Akoko'),
+    's0960': ('Zone 08','Ikare','St. Paul Anglican Pry School, Iyoke-Ikaram, Akoko, Ondo-State'),
+    's0970': ('Zone 08','Ikare','Unity Secondary School, Epinmi, Akoko'),
+    's0980': ('Zone 08','Ikare','Victory College, Ikare'),
+    's0990': ('Zone 09','Mopa Isanlu','African Church Secondary School, Isanlu'),
+    's1000': ('Zone 09','Mopa Isanlu','Isanlu High School Ijowa Isanlu'),
+    's1010': ('Zone 09','Mopa Isanlu','St. Joseph (R.C.M.), Lgea School Isanlu'),
     's1020': ('Zone 10','Iyara-Omuo','Aud Primary School, Iyamoye-Ijumu'),
     's1030': ('Zone 10','Iyara-Omuo','Baptist High School, Ekinrin Adde, Ijumu'),
@@ -142,3 +142,70 @@
     's1370': ('Zone 15','Okpella-Auchi','Iyora Secondary School, Iyora-Uzairue'),
     's1380': ('Zone 15','Okpella-Auchi','St. Angela\'s Girls Grammar School, Uzairue'),
+    # aditional schools added 10/08/16
+    's1381': ('Zone 01', 'Otite, Ogaminana, Obangede', 'The Light Academy, Eika Adagu'),
+    's1382': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Foundation Group of Schools, Utokuha-Ogaminana'),
+    's1383': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Universal Basic Education Board, JSS Osara'),
+    's1384': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Royal Lriddies N/P School, Eika-Adagu-New-Layout'),
+    's1385': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Bright Model Academy, Zariagi, Kabba-Junction.'),
+    's1386': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Samana Group of Schools N/P Ogaminana'),
+    's1387': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Williesth International Group of Schools N/P Abobo, Opp. Diyo Quarters'),
+    's1388': ('Zone 01', 'Otite, Ogaminana, Obangede', 'New Prestige Schools, Eika-Adagu'),
+    's1389': ('Zone 01', 'Otite, Ogaminana, Obangede', 'God Cares N/P School, Oziokutu-Ogaminana'),
+    's1390': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Joy of Knowledge Academy N/P, Zariagi, Kabba-Junction'),
+    's1391': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Divine Ravour Group of Schools, Nagazi, Adavi'),
+    's1392': ('Zone 01', 'Otite, Ogaminana, Obangede', 'L.G.E.A. Primary School, Eika-Adagu New-Layout'),
+    's1393': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Al-Pat\'Hu Group of Schools N/P & Model College, Oziokutu, Ogaminana'),
+    's1394': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Champion Group of Schools N/P and Secondary, Eika-Adagu, Otite'),
+    's1395': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Ruhul-Islam College of Arabic & Islamic, Adavi'),
+    's1396': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Premier International College, New Zango Road, Ogaminana'),
+    's1397': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Community Secondary School, Obangede'),
+    's1398': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Adavi Local Govt. Science Secondary School, Ozuri'),
+    's1399': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Khadnet Academy, Behind GSSS, Ogaminana, Eika-Adagu New-Layout'),
+    's1400': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Raaj International Nursery/Primary School, Zariagi, Kabba-Junction'),
+    's1401': ('Zone 01', 'Otite, Ogaminana, Obangede', 'Science Leadership Academy Basic, Okehi, Behind Provost Qrts'),
+    's1402': ('Zone 02', 'Okene Metropolis', 'Ideal Nursery/Primary & Orphanage School, Agassa'),
+    's1403': ('Zone 02', 'Okene Metropolis', 'Local Govt. Secondary School, Ohiana'),
+    's1404': ('Zone 02', 'Okene Metropolis', 'Comprehensive High School, Odenku-Ovehira, Okene'),
+    's1405': ('Zone 03', 'Kuroko-Inoziomi-GRA', 'Echo Standard Academy N/P and Secondary Schools, Kuroko'),
+    's1406': ('Zone 03', 'Kuroko-Inoziomi-GRA', 'Al-Manaar Academy N/P School, Inoziomi'),
+    's1407': ('Zone 03', 'Kuroko-Inoziomi-GRA', 'Doctor\'s and Engineer\'s Islamic & Science Academy, Karaworo'),
+    's1408': ('Zone 03', 'Kuroko-Inoziomi-GRA', 'Universal Basic Education JSS, Okunchi'),
+    's1409': ('Zone 04', 'Okengwe Ihima', 'Govt. Technical College, Oboroke, Ihima'),
+    's1410': ('Zone 04', 'Okengwe Ihima', 'Leadership Academy Centre, Okengwe, Oro New-Layout'),
+    's1411': ('Zone 05', 'Adogo Ajaokuta', 'IHya Adu-Deen Islamic Basic Schools, Adogo'),
+    's1412': ('Zone 06', 'Magongo/Ibilo', 'UBE/JSS School, Akpafa, Magongo'),
+    's1413': ('Zone 07', 'Kabba Aiyetoro Gbedde', 'Divine International Academy, Ayetoro-Gbedde, Ijumu'),
+    's1414': ('Zone 07', 'Kabba Aiyetoro Gbedde', 'Okebukun High School, Bunu'),
+    's1415': ('Zone 07', 'Kabba Aiyetoro Gbedde', 'De-International Success Academy N/P School, Iyah-Gbedde, Ijumu'),
+    's1416': ('Zone 07', 'Kabba Aiyetoro Gbedde', 'Govt. Science Secondary School, Iyamoye, Ijumu'),
+    's1417': ('Zone 07', 'Kabba Aiyetoro Gbedde', 'Ohon Harmony Secondary School, Ayegunle-Gbedde, Ijumu'),
+    's1418': ('Zone 07', 'Kabba Aiyetoro Gbedde', 'A.I.P.S.S. Agape International Private Secondary Sch., Ayegunle-Gbedde, Ijumu'),
+    's1419': ('Zone 07', 'Kabba Aiyetoro Gbedde', 'Glorious Destiny Academy, Oghe Quarters, Ayegunle'),
+    's1420': ('Zone 08', 'Ikare', 'Ikare Grammar School, Ikare-Akoko'),
+    's1421': ('Zone 08', 'Ikare', 'Prince of Peace College, Sabo-Ugbe, Akoko, Ondo State'),
+    's1422': ('Zone 08', 'Ikare', 'Right Foundation Academy, Ugbe-Akoko'),
+    's1423': ('Zone 08', 'Ikare', 'Olipe Mixed Grammar School, Junior, Olipe-Ijaja'),
+    's1424': ('Zone 08', 'Ikare', 'Salem A/C Primary School, Ikan-Ikare-Akoko'),
+    's1425': ('Zone 08', 'Ikare', 'Anglican Grammar School, Okpella'),
+    's1426': ('Zone 08', 'Ikare', 'Ojirami Senior Secondary School, Akoko'),
+    's1427': ('Zone 08', 'Ikare', 'Owodua Grammar School, Ipe-Akoko'),
+    's1428': ('Zone 08', 'Ikare', 'The Salvation Army Primary School, Supare-Akoko'),
+    's1429': ('Zone 08', 'Ikare', 'Akoko Anglican Grammar School, Arigidi-Akoko'),
+    's1430': ('Zone 08', 'Ikare', 'St. Peters Anglican Primary School, Ikare-Akoko'),
+    's1431': ('Zone 08', 'Ikare', 'St. Peters Grammar School, Agenebode'),
+    's1432': ('Zone 08', 'Ikare', 'Ogugu Secondary School, Ogugu-Akoko'),
+    's1433': ('Zone 08', 'Ikare', 'Dagbala Secondary School, Dagbala-Akoko'),
+    's1434': ('Zone 08', 'Ikare', 'CAC Owe-Itura N/P School, Ekpedo, Akoko'),
+    's1435': ('Zone 09', 'Mopa-Isanlu', 'Amuro Community Secondary, School'),
+    's1436': ('Zone 09', 'Mopa-Isanlu', 'Royal Model College, Odo-Eri, Yagba-West'),
+    's1437': ('Zone 09', 'Mopa-Isanlu', 'African Church Secondary School, Isanlu'),
+    's1438': ('Zone 09', 'Mopa-Isanlu', 'Ponyan Comprehensive High Schools, Ponyan, Yagba-East'),
+    's1439': ('Zone 11', 'Lokoja', 'New Testament Group of Schools N/P & Secondary, Lokoja'),
+    's1440': ('Zone 11', 'Lokoja', 'Kogi State Universal Basic Education Board, Bassa Local Govt. Education Authority, Lokoja'),
+    's1441': ('Zone 11', 'Lokoja', 'King\'s Grace Academy, Zango, Lokoja'),
+    's1442': ('Zone 11', 'Lokoja', 'Bassa-Nge Anglican Grammar School, Gboloko'),
+    's1443': ('Zone 11', 'Lokoja', 'Marab Victory Children\'s Academy, Obajana'),
+    's1444': ('Zone 11', 'Lokoja', 'Lokoja Local Govt. Secondary School, Oshokoshoko'),
+    's1445': ('Zone 13', 'Anyingba Ochaja', 'Pleroma Pioneers Academy, Behind Kogi State University Hospital, Phase II, Anyingba'),
+    's1446': ('Zone 13', 'Anyingba Ochaja', 'Agbeji Grammar School, Agbeji, Anyingba'),
     }