Index: main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 14083)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 14084)
@@ -53,8 +53,10 @@
     NigeriaExportPDFPaymentSlip,
     NigeriaExportPDFCourseRegistrationSlip,
-    NigeriaExportPDFClearanceSlip,
     NigeriaStudentPersonalDisplayFormPage,
     NigeriaStudentPersonalEditFormPage,
     NigeriaStudentPersonalManageFormPage,
+    NigeriaStudentClearanceDisplayFormPage,
+    NigeriaExportPDFClearanceSlip,
+    NigeriaStudentClearanceManageFormPage,
     NigeriaStudentClearanceEditFormPage,
     NigeriaAccommodationManageFormPage,
@@ -69,4 +71,5 @@
     ICustomStudentPersonalEdit,
     ICustomUGStudentClearance,
+    ICustomPGStudentClearance,
     ICustomCourseTicket,
     ICustomStudentBase)
@@ -112,4 +115,36 @@
     form_fields[
         'personal_updated'].custom_widget = FriendlyDatetimeDisplayWidget('le')
+
+class CustomStudentClearanceDisplayFormPage(NigeriaStudentClearanceDisplayFormPage):
+    """ Page to display student clearance data
+    """
+
+    @property
+    def form_fields(self):
+        if self.context.is_postgrad:
+            form_fields = grok.AutoFields(
+                ICustomPGStudentClearance).omit('clearance_locked')
+        else:
+            form_fields = grok.AutoFields(
+                ICustomUGStudentClearance).omit('clearance_locked')
+        if not getattr(self.context, 'officer_comment'):
+            form_fields = form_fields.omit('officer_comment')
+        else:
+            form_fields['officer_comment'].custom_widget = BytesDisplayWidget
+        return form_fields
+
+class CustomStudentClearanceManageFormPage(NigeriaStudentClearanceManageFormPage):
+    """ Page to edit student clearance data
+    """
+
+    @property
+    def form_fields(self):
+        if self.context.is_postgrad:
+            form_fields = grok.AutoFields(
+                ICustomPGStudentClearance).omit('clr_code')
+        else:
+            form_fields = grok.AutoFields(
+                ICustomUGStudentClearance).omit('clr_code')
+        return form_fields
 
 class CustomStudentClearanceEditFormPage(NigeriaStudentClearanceEditFormPage):
@@ -435,4 +470,16 @@
             target_language=portal_language) \
             + ' %s' % self.context.display_fullname
+
+    @property
+    def form_fields(self):
+        if self.context.is_postgrad:
+            form_fields = grok.AutoFields(
+                ICustomPGStudentClearance).omit('clearance_locked')
+        else:
+            form_fields = grok.AutoFields(
+                ICustomUGStudentClearance).omit('clearance_locked')
+        if not getattr(self.context, 'officer_comment'):
+            form_fields = form_fields.omit('officer_comment')
+        return form_fields
 
 class StudentGetMatricNumberPage(UtilityView, grok.View):
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/interfaces.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/interfaces.py	(revision 14083)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/interfaces.py	(revision 14084)
@@ -230,8 +230,24 @@
         )
 
+    sc_pin = schema.TextLine(
+        title = _(u'Scratch Card Pin'),
+        required = False,
+        readonly = False,
+        )
+
+    sc_serial_number = schema.TextLine(
+        title = _(u'Scratch Card Serial Number'),
+        required = False,
+        readonly = False,
+        )
+
 ICustomUGStudentClearance['lga'].order = INigeriaUGStudentClearance[
     'lga'].order
 #ICustomUGStudentClearance['date_of_birth'].order = INigeriaUGStudentClearance[
 #    'date_of_birth'].order
+ICustomUGStudentClearance['sc_pin'].order = INigeriaUGStudentClearance[
+    'fst_sit_fname'].order
+ICustomUGStudentClearance['sc_serial_number'].order = ICustomUGStudentClearance[
+    'fst_sit_fname'].order
 
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_export.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_export.py	(revision 14083)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_export.py	(revision 14084)
@@ -65,5 +65,6 @@
             'nysc_year,officer_comment,perm_address,personal_updated,'
             'phone,phone_personal,physical_clearance_date,reg_number,'
-            'religion,scd_sit_date,scd_sit_fname,scd_sit_no,scd_sit_results,'
+            'religion,sc_pin,sc_serial_number,scd_sit_date,'
+            'scd_sit_fname,scd_sit_no,scd_sit_results,'
             'scd_sit_type,sex,student_id,suspended,suspended_comment,password,'
             'state,history,certcode,is_postgrad,current_level,current_session'
@@ -73,5 +74,5 @@
             '"[(\'printing_craft_practice\', \'A1\')]",,,,,,,,,,,,,,,,Tester,,,'
             '234,M.,,,,,NG,,,,,,,,,"Studentroad 21\nLagos 123456\n",,'
-            '+234-123-12345#,,,123,,,,,'
+            '+234-123-12345#,,,123,,,,,,,'
             '"[(\'printing_craft_practice\', \'A1\')]",,f,A111111,0,,,'
             'created,[u\'2015-10-26 17:45:56 WAT - Record created by system\'],'