Index: /main/waeup.kofa/trunk/CHANGES.txt
===================================================================
--- /main/waeup.kofa/trunk/CHANGES.txt	(revision 14132)
+++ /main/waeup.kofa/trunk/CHANGES.txt	(revision 14133)
@@ -4,4 +4,11 @@
 1.4.2.dev0 (unreleased)
 =======================
+
+* Add property attribute `total_score` in order to make provision
+  for additional scores (like contineous assessments) in custom
+  packages.
+
+* Make provision against storing other objects than applicant payments
+  in applicant containers.
 
 * Count mandates on configuration page and provide 'Purge' button.
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 14132)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 14133)
@@ -1258,5 +1258,5 @@
                          (Term, 'semester', 1.5),
                          (Cred, 'credits', 1.5),
-                         (Score, 'score', 1.5),
+                         (Score, 'total_score', 1.5),
                          (Grade, 'grade', 1.5),
                          ]
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 14132)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 14133)
@@ -612,6 +612,7 @@
     level_session = Attribute('Session of the study level the ticket has been added to')
     level = Attribute('Level value of the study level the ticket has been added to')
-    grade = Attribute('Grade calculated from score')
-    weight = Attribute('Weight calculated from score')
+    total_score = Attribute('Score')
+    grade = Attribute('Grade calculated from total score')
+    weight = Attribute('Weight calculated from total score')
     removable_by_student = Attribute('True if student is allowed to remove the ticket')
     editable_by_lecturer = Attribute('True if lecturer is allowed to edit the ticket')
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/studylevel.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/studylevel.py	(revision 14132)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/studylevel.py	(revision 14133)
@@ -114,6 +114,6 @@
         level_gpa = 0.0
         for ticket in self.values():
-            if ticket.carry_over is False and ticket.score:
-                if ticket.score < ticket.passmark:
+            if ticket.carry_over is False and ticket.total_score:
+                if ticket.total_score < ticket.passmark:
                     co_ticket = find_carry_over(ticket)
                     if co_ticket is not None and co_ticket.weight is not None:
@@ -135,5 +135,5 @@
         level_gpa = 0.0
         for ticket in self.values():
-            if ticket.score is not None:
+            if ticket.total_score is not None:
                 credits_counted += ticket.credits
                 credits_weighted += ticket.credits * ticket.weight
@@ -156,6 +156,6 @@
         credits_passed = 0
         for ticket in self.values():
-            if ticket.score is not None:
-                if ticket.score < ticket.passmark:
+            if ticket.total_score is not None:
+                if ticket.total_score < ticket.passmark:
                     failed += 1
                     credits_failed += ticket.credits
@@ -355,14 +355,22 @@
 
     @property
+    def total_score(self):
+        """Returns the total score of this ticket. In the base package
+        this is simply the score. In customized packages this could be
+        something else.
+        """
+        return self.score
+
+    @property
     def grade(self):
-        """Returns the grade calculated from score.
-        """
-        return getGradeWeightFromScore(self.score)[0]
+        """Returns the grade calculated from total score.
+        """
+        return getGradeWeightFromScore(self.total_score)[0]
 
     @property
     def weight(self):
-        """Returns the weight calculated from score.
-        """
-        return getGradeWeightFromScore(self.score)[1]
+        """Returns the weight calculated from total score.
+        """
+        return getGradeWeightFromScore(self.total_score)[1]
 
 CourseTicket = attrs_to_fields(CourseTicket)